/*
  binforge - Repository system for Windows
  Copyright (C) 2009 Younes Serraj  Tous droits rservs.

  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
  modifier suivant les termes de la GNU General Public License telle que
  publie par la Free Software Foundation : soit la version 3 de cette
  licence, soit ( votre gr) toute version ultrieure.

  Ce programme est distribu dans lespoir quil vous sera utile, mais SANS
  AUCUNE GARANTIE : sans mme la garantie implicite de COMMERCIALISABILIT
  ni dADQUATION  UN OBJECTIF PARTICULIER. Consultez la Licence Gnrale
  Publique GNU pour plus de dtails.

  Vous devriez avoir reu une copie de la Licence Gnrale Publique GNU avec
  ce programme ; si ce nest pas le cas, consultez :
  <http://www.gnu.org/licenses/>.
*/

#ifdef BINFORGE_H
#ifndef PACKAGES_DATABASE_H
#define PACKAGES_DATABASE_H

#include <stdio.h>

int pkgdb_open();
void pkgdb_close();
int pkgdb_reopen();
int pkgdb_isopen();

int pkgdb_add(package *pkg);
//int pkgdb_delete(int pkg_id);
int pkgdb_update(package *pkg);
int pkgdb_exists(int pkg_id);
package *pkgdb_get(int pkg_id);
void pkgdb_list();
void pkgdb_clear();

FILE *fpkgdb;

#endif PACKAGES_DATABASE_H
#endif BINFORGE_H
